FWTRACE(1)

NAME
fwtrace - manual page for fwtrace 4.19.0

DESCRIPTION

-h|--help
    Print this help message and exit

-d|--device
    Mst device name

-f|--fw_strings
    Fw strings db file containing the FW strings

|--tracer_mode
    Tracer mode [FIFO | MEM]

|--real_ts
    Print real timestamps in [hh:mm:ss.nsec]

|--gvmi
    Global virtual machine interface

|--ignore_old_events
    Ignore collecting old events

format

-i|--irisc
    Irisc name (See below for full list of irisc names)

-s|--stream
    Run in streaming mode

-c|--cfg
    HW tracer events cfg file

-n|--snapshot
    Take events snapshot - this assumes previous FW configurations

-S|--buf_size
    HW tracer MEM buffer size in [MB]

--dump
    mlxtrace generated .trc file name

-m|--mask
    Trace class mask, use "+" to enable multiple classes or use integer format, e.g: -m class1+class2+... or 0xff00ff00

-l|--level
    Trace level

-v|--version
    Print tool's version and exit

Device Specific Info: ====================

    ConnectIB:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    SwitchIB:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    class1, class2

    ConnectX4:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX5:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    BlueField:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    BlueField2:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    BlueField3:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX6:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX6DX:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    Spectrum:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    class1, class2

    ConnectX4LX:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    SwitchIB2:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    class1, class2

    Quantum:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    class1, class2

    Spectrum2:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    class1, class2

    Spectrum3:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, all]

    Trace classes:

    class1, class2

    Spectrum4:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, all]

    Trace classes:

    class1, class2

    ConnectX6LX:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX7:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, i10, all]

    Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, LIBFHI, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    Quantum2:

    Irisc names: [i0, iron, i2, i3, i4, i5, i6, i7, i8, i9, all]

    Trace classes:

    class1, class2

SEE ALSO
The full documentation for fwtrace is maintained as a Texinfo manual. If the info and fwtrace programs are properly installed at your site, the command

    info fwtrace

should give you access to the complete manual.